# Method: accounts.hotels.setLiveOnGoogle

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.request_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.SetLiveOnGoogleResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#body.aspect)

Collection-level custom method to update the Live on Google status for multiple properties. Each call can turn on or off multiple hotels. To turn some hotels on and turn some hotels off, you will have to make multiple calls.

### HTTP request

`POST https://travelpartner.googleapis.com/v3/{account=accounts/*}/hotels:setLiveOnGoogle`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `account` | `string` Required. The resource name of the account. The format is accounts/{account_id}. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "liveOnGoogle": boolean, "partnerHotelIds": [ string ], "liveOnGoogleStatus": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews#LiveOnGoogleStatus`) } ``` |

| Fields ||
|---|---|
| `liveOnGoogle (deprecated)` | `boolean` Optional. DEPRECATED. Whether the property will show on Google. When true, Google will show the properties if their integration is complete and the property is available. When false, Google will never show the properties. Superseded by `liveOnGoogleStatus`. Only one of `liveOnGoogle` or `liveOnGoogleStatus` should be set; if both are set, `liveOnGoogleStatus` will be used. |
| `partnerHotelIds[]` | `string` Required. Identifies the properties to update with the liveOnGoogle setting. |
| `liveOnGoogleStatus` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews#LiveOnGoogleStatus`)`` Optional. Whether the property will show on Google, with more granular controls than the original `liveOnGoogle` boolean field. Only one of `liveOnGoogle` or `liveOnGoogleStatus` should be set; if both are set, `liveOnGoogleStatus` will be used. **Note:** This field should be enclosed in quotes. For example, `"LIVE_ON_GOOGLE_STATUS_INACTIVE"`. |

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle#google.travel.travelpartner.v3.HotelService.SetLiveOnGoogle`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "updatedHotelIds": [ string ], "failedHotelIds": [ string ] } ``` |

| Fields ||
|---|---|
| `updatedHotelIds[]` | `string` Identifies the updated properties. |
| `failedHotelIds[]` | `string` Identifies properties that Google could not update. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).